# norootforbuild
%define pkg_name    rrd
%define php_version %(php-config --version 2>/dev/null || echo PHPCONFIG_NOT_FOUND)
%define rrd_version %(rrdtool | head -1| awk '{print $2}')
#
BuildPreReq:	coreutils awk
BuildRequires:	rrdtool >= 1.3
Name:		php5-rrd
Version:	1.1.3
Release:	8.15
License:	BSD
Group:		Productivity/Networking/Web/Servers
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php-devel rrdtool-devel freetype2-devel libart_lgpl-devel libpng-devel
Requires:	php5 = %{php_version}
URL:		http://pecl.php.net/package/rrd
Source:		%{pkg_name}-%{version}.tgz
Summary:	OO wrapper for rrdtool

%description
Procedural and simple OO wrapper for rrdtool - data logging and graphing system for time series data.

%debug_package
%prep
%setup -n %{pkg_name}-%{version}

%{__mkdir} %{name}

%build
%{_bindir}/phpize
#pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

./configure \
--with-rrd=%{_usr} \
--with-php-config=%{_bindir}/php-config || cat config.log

%{__make} %{?jobs:-j%jobs}
#popd

%install
%__install -D -m0755 modules/rrd.so %{buildroot}`php-config --extension-dir`/rrd.so
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable rrd extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/rrd.ini
echo 'extension = rrd.so' >> %{buildroot}%{_sysconfdir}/php5/conf.d/rrd.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/rrd.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/rrd.ini


%changelog
* Sat Jan 18 2014 cs@linux-administrator.com
- initial package build
